package org.gcube.datacatalogue.common.enums;

import com.fasterxml.jackson.annotation.JsonCreator;

/**
 * Exploitation_Rate for Stock records
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public enum Exploitation_Rate {

	Not_Applicable("Not applicable"),
	Moderate_Fishing_Mortality("Moderate fishing mortality"),
	High_Fishing_Mortality("High fishing mortality"),
	No_Or_Low_Fishing_Mortality("No or low fishing mortality"),
	Uncertain_Not_assessed("Uncertain/Not assessed");

	private String subGroupNameOrig;

	private Exploitation_Rate(String origName) {
		this.subGroupNameOrig = origName;
	}

	/**
	 * Return the original name
	 * @return
	 */
	public String getOrigName(){
		return subGroupNameOrig;
	}

	@JsonCreator
	public static Exploitation_Rate onDeserialize(String exploitationString) {
		if(exploitationString != null) {
			for (Exploitation_Rate exploitationValue : Exploitation_Rate.values()) {
				if(exploitationValue.getOrigName().replaceAll("[^A-Za-z]", " ").equalsIgnoreCase(exploitationString.trim().replaceAll("[^A-Za-z]", " ")))
					return exploitationValue;
			}
		}
		return null;
	}
	
	@Override
	public String toString() {
		return getOrigName();
	}
}
